## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenEnumLiteralImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenEnumLiteralImpl

All Implemented Interfaces:
  GenBase, GenEnumLiteral, Notifier, EObject, InternalEObject

    public class GenEnumLiteralImpl

extends GenBaseImpl
implements GenEnumLiteral

An implementation of the model object 'Gen Enum Literal'.

The following features are implemented:

- `Gen Enum`
- `Ecore Enum Literal`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EEnumLiteral` `ecoreEnumLiteral` The cached value of the '`Ecore Enum Literal`' reference

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenEnumLiteralImpl()`

Method Summary
`EEnumLiteral` `basicGetEcoreEnumLiteral()`
`NotificationChain` `basicSetGenEnum(GenEnum newGenEnum, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`protected java.lang.String` `ensureUniqueness(java.lang.String string)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getCapName()`
`EEnumLiteral` `getEcoreEnumLiteral()`
`EModelElement` `getEcoreModelElement()`
`java.lang.String` `getEnumLiteralAccessorName()`
`java.lang.String` `getEnumLiteralID()`
`java.lang.String` `getEnumLiteralInstanceConstantName()`
`java.lang.String` `getEnumLiteralValueConstantName()`
`java.lang.String` `getFormattedName()`
`GenEnum` `getGenEnum()`
`GenPackage` `getGenPackage()`
`java.lang.String` `getLiteral()`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getName()`
`int` `getValue()`
`void` `initialize(EEnumLiteral eEnumLiteral)`
`boolean` `reconcile()`
`boolean` `reconcile(GenEnumLiteral oldGenEnumLiteralVersion)`
`protected void` `reconcileSettings(GenEnumLiteral oldGenEnumLiteralVersion)`
`void` `setEcoreEnumLiteral(EEnumLiteral newEcoreEnumLiteral)`
`void` `setGenEnum(GenEnum newGenEnum)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ecoreEnumLiteral

    protected EEnumLiteral ecoreEnumLiteral

  The cached value of the '`Ecore Enum Literal`' reference.

  See Also:
    `getEcoreEnumLiteral()`

Constructor Detail

### GenEnumLiteralImpl

    protected GenEnumLiteralImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenBaseImpl`

### getGenEnum

    public GenEnum getGenEnum()

  Specified by:
    `getGenEnum` in interface `GenEnumLiteral`
  Returns:
    the value of the 'Gen Enum' container reference.
  See Also:
    `GenEnumLiteral.setGenEnum(GenEnum)`, `GenModelPackage.getGenEnumLiteral_GenEnum()`, `GenEnum.getGenEnumLiterals()`

### basicSetGenEnum

    public NotificationChain basicSetGenEnum(GenEnum newGenEnum,
                                             NotificationChain msgs)

### setGenEnum

    public void setGenEnum(GenEnum newGenEnum)

  Specified by:
    `setGenEnum` in interface `GenEnumLiteral`
  Parameters:
    `newGenEnum` - the new value of the 'Gen Enum' container reference.
  See Also:
    `GenEnumLiteral.getGenEnum()`

### getEcoreModelElement

    public EModelElement getEcoreModelElement()

  Specified by:
    `getEcoreModelElement` in interface `GenBase`
  Overrides:
    `getEcoreModelElement` in class `GenBaseImpl`

### getEcoreEnumLiteral

    public EEnumLiteral getEcoreEnumLiteral()

  Specified by:
    `getEcoreEnumLiteral` in interface `GenEnumLiteral`
  Returns:
    the value of the 'Ecore Enum Literal' reference.
  See Also:
    `GenEnumLiteral.setEcoreEnumLiteral(EEnumLiteral)`, `GenModelPackage.getGenEnumLiteral_EcoreEnumLiteral()`

### basicGetEcoreEnumLiteral

    public EEnumLiteral basicGetEcoreEnumLiteral()

### setEcoreEnumLiteral

    public void setEcoreEnumLiteral(EEnumLiteral newEcoreEnumLiteral)

  Specified by:
    `setEcoreEnumLiteral` in interface `GenEnumLiteral`
  Parameters:
    `newEcoreEnumLiteral` - the new value of the 'Ecore Enum Literal' reference.
  See Also:
    `GenEnumLiteral.getEcoreEnumLiteral()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenBaseImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenEnumLiteral`
  Specified by:
    `getName` in class `GenBaseImpl`

### getCapName

    public java.lang.String getCapName()

  Specified by:
    `getCapName` in interface `GenEnumLiteral`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `GenEnumLiteral`

### getFormattedName

    public java.lang.String getFormattedName()

  Specified by:
    `getFormattedName` in interface `GenEnumLiteral`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `GenEnumLiteral`

### getEnumLiteralID

    public java.lang.String getEnumLiteralID()

  Specified by:
    `getEnumLiteralID` in interface `GenEnumLiteral`

### getEnumLiteralInstanceConstantName

    public java.lang.String getEnumLiteralInstanceConstantName()

  Specified by:
    `getEnumLiteralInstanceConstantName` in interface `GenEnumLiteral`

### ensureUniqueness

    protected java.lang.String ensureUniqueness(java.lang.String string)

### getEnumLiteralValueConstantName

    public java.lang.String getEnumLiteralValueConstantName()

  Specified by:
    `getEnumLiteralValueConstantName` in interface `GenEnumLiteral`

### getGenPackage

    public GenPackage getGenPackage()

  Specified by:
    `getGenPackage` in interface `GenEnumLiteral`

### getEnumLiteralAccessorName

    public java.lang.String getEnumLiteralAccessorName()

  Specified by:
    `getEnumLiteralAccessorName` in interface `GenEnumLiteral`

### initialize

    public void initialize(EEnumLiteral eEnumLiteral)

  Specified by:
    `initialize` in interface `GenEnumLiteral`

### getModelInfo

    public java.lang.String getModelInfo()

  Specified by:
    `getModelInfo` in interface `GenEnumLiteral`
  Overrides:
    `getModelInfo` in class `GenBaseImpl`

### reconcile

    public boolean reconcile(GenEnumLiteral oldGenEnumLiteralVersion)

  Specified by:
    `reconcile` in interface `GenEnumLiteral`

### reconcileSettings

    protected void reconcileSettings(GenEnumLiteral oldGenEnumLiteralVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.